> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/creator/content-creator-es/escenas-sdk7/ui-2d.md).

# UI 2D

- [UI en pantalla](https://docs.decentraland.org/creator/content-creator-es/escenas-sdk7/ui-2d/onscreen-ui.md): Aprende cómo crear una UI para los jugadores en tu scene. Esto es útil, por ejemplo, para mostrar información relacionada con el juego.
- [Posicionamiento de UI](https://docs.decentraland.org/creator/content-creator-es/escenas-sdk7/ui-2d/ui-positioning.md): Configura la posición, escala, padding y otras propiedades de las UI entities.
- [Fondo de UI](https://docs.decentraland.org/creator/content-creator-es/escenas-sdk7/ui-2d/ui_background.md): Configura un fondo y un borde de una UI entity.
- [UI Button Events](https://docs.decentraland.org/creator/content-creator-es/escenas-sdk7/ui-2d/ui_button_events.md): Maneja eventos de button en las UI entities.
- [Tipos especiales de UI](https://docs.decentraland.org/creator/content-creator-es/escenas-sdk7/ui-2d/ui_special_types.md): Tipos especiales de entidades para la UI, incluidos dropdowns y cuadros de entrada.
- [Texto de UI](https://docs.decentraland.org/creator/content-creator-es/escenas-sdk7/ui-2d/ui_text.md): Escribe texto en las UI entities.
- [UI dinámica](https://docs.decentraland.org/creator/content-creator-es/escenas-sdk7/ui-2d/dynamic-ui.md): Aprende cómo hacer que las UIs sean dinámicas, respondiendo a cambios en los datos.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.decentraland.org/creator/content-creator-es/escenas-sdk7/ui-2d.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
